<?xml version="1.0" encoding="utf-8"?>
<wsdl:definitions xmlns:soap="http://schemas.xmlsoap.org/wsdl/soap/" xmlns:tm="http://microsoft.com/wsdl/mime/textMatching/" xmlns:soapenc="http://schemas.xmlsoap.org/soap/encoding/" xmlns:mime="http://schemas.xmlsoap.org/wsdl/mime/" xmlns:tns="http://CharterDotComAdminServices/" xmlns:s="http://www.w3.org/2001/XMLSchema" xmlns:soap12="http://schemas.xmlsoap.org/wsdl/soap12/" xmlns:http="http://schemas.xmlsoap.org/wsdl/http/" targetNamespace="http://CharterDotComAdminServices/" xmlns:wsdl="http://schemas.xmlsoap.org/wsdl/">
  <wsdl:types>
    <s:schema elementFormDefault="qualified" targetNamespace="http://CharterDotComAdminServices/">
      <s:element name="GetContentID">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="UserControl" type="s:string" />
            <s:element minOccurs="0" maxOccurs="1" name="OwnerID" type="s:string" />
            <s:element minOccurs="0" maxOccurs="1" name="Ownertype" type="s:string" />
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="GetContentIDResponse">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="1" maxOccurs="1" name="GetContentIDResult" type="s:int" />
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="GetVersions">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="1" maxOccurs="1" name="ContentID" type="s:int" />
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="GetVersionsResponse">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="GetVersionsResult" type="tns:ArrayOfVERSION" />
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:complexType name="ArrayOfVERSION">
        <s:sequence>
          <s:element minOccurs="0" maxOccurs="unbounded" name="VERSION" type="tns:VERSION" />
        </s:sequence>
      </s:complexType>
      <s:complexType name="VERSION">
        <s:sequence>
          <s:element minOccurs="0" maxOccurs="unbounded" name="SCHEDULE" type="tns:SCHEDULE" />
          <s:element minOccurs="0" maxOccurs="unbounded" name="IMAGE" type="tns:IMAGE" />
          <s:element minOccurs="1" maxOccurs="1" name="VersionID" type="s:int" />
          <s:element minOccurs="1" maxOccurs="1" name="ContentID" type="s:int" />
          <s:element minOccurs="1" maxOccurs="1" name="SearchResultDisplayable" type="s:boolean" />
          <s:element minOccurs="0" maxOccurs="1" name="ContentText" type="s:string" />
          <s:element minOccurs="0" maxOccurs="1" name="VERSION_NAME" type="s:string" />
        </s:sequence>
      </s:complexType>
      <s:complexType name="SCHEDULE">
        <s:sequence>
          <s:element minOccurs="1" maxOccurs="1" name="ScheduleID" type="s:int" />
          <s:element minOccurs="1" maxOccurs="1" name="VersionID" type="s:int" />
          <s:element minOccurs="1" maxOccurs="1" name="StartDate" type="s:dateTime" />
          <s:element minOccurs="1" maxOccurs="1" name="EndDate" type="s:dateTime" />
          <s:element minOccurs="1" maxOccurs="1" name="CreateBy_UserID" type="s:int" />
          <s:element minOccurs="1" maxOccurs="1" name="CreateDate" type="s:dateTime" />
          <s:element minOccurs="1" maxOccurs="1" name="ModifyBy_UserID" type="s:int" />
          <s:element minOccurs="1" maxOccurs="1" name="ModifyDate" type="s:dateTime" />
          <s:element minOccurs="1" maxOccurs="1" name="DeleteBy_UserID" type="s:int" />
          <s:element minOccurs="1" maxOccurs="1" name="DeleteDate" type="s:dateTime" />
          <s:element minOccurs="1" maxOccurs="1" name="ApprovedBy_UserID" type="s:int" />
          <s:element minOccurs="1" maxOccurs="1" name="ApprovedDate" type="s:dateTime" />
        </s:sequence>
      </s:complexType>
      <s:complexType name="IMAGE">
        <s:sequence>
          <s:element minOccurs="1" maxOccurs="1" name="IMAGEID" type="s:int" />
          <s:element minOccurs="1" maxOccurs="1" name="VERSIONID" type="s:int" />
          <s:element minOccurs="1" maxOccurs="1" name="CreateBy_UserID" type="s:int" />
          <s:element minOccurs="1" maxOccurs="1" name="CreateDate" type="s:dateTime" />
          <s:element minOccurs="1" maxOccurs="1" name="ModifyBy_UserID" type="s:int" />
          <s:element minOccurs="1" maxOccurs="1" name="ModifyDate" type="s:dateTime" />
          <s:element minOccurs="1" maxOccurs="1" name="DeleteBy_UserID" type="s:int" />
          <s:element minOccurs="1" maxOccurs="1" name="DeleteDate" type="s:dateTime" />
          <s:element minOccurs="1" maxOccurs="1" name="ApprovedBy_UserID" type="s:int" />
          <s:element minOccurs="1" maxOccurs="1" name="ApprovedDate" type="s:dateTime" />
          <s:element minOccurs="0" maxOccurs="1" name="IMAGEDATA" type="s:base64Binary" />
          <s:element minOccurs="0" maxOccurs="1" name="Thumbnail" type="s:base64Binary" />
          <s:element minOccurs="0" maxOccurs="1" name="CAPTION" type="s:string" />
          <s:element minOccurs="0" maxOccurs="1" name="_ImageName" type="s:string" />
          <s:element minOccurs="1" maxOccurs="1" name="ImageID" type="s:int" />
          <s:element minOccurs="1" maxOccurs="1" name="VersionID" type="s:int" />
          <s:element minOccurs="0" maxOccurs="1" name="Caption" type="s:string" />
          <s:element minOccurs="0" maxOccurs="1" name="ImageName" type="s:string" />
        </s:sequence>
      </s:complexType>
      <s:element name="UpdateVersionText">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="1" maxOccurs="1" name="VersionId" type="s:int" />
            <s:element minOccurs="0" maxOccurs="1" name="VersionText" type="s:string" />
            <s:element minOccurs="0" maxOccurs="1" name="VersionName" type="s:string" />
            <s:element minOccurs="1" maxOccurs="1" name="SearchResultDisplayable" type="s:boolean" />
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="UpdateVersionTextResponse">
        <s:complexType />
      </s:element>
      <s:element name="DeleteVersion">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="1" maxOccurs="1" name="versionID" type="s:int" />
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="DeleteVersionResponse">
        <s:complexType />
      </s:element>
      <s:element name="AddVersion">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="UserControl" type="s:string" />
            <s:element minOccurs="0" maxOccurs="1" name="OwnerID" type="s:string" />
            <s:element minOccurs="1" maxOccurs="1" name="OwnertypeID" type="tns:OwnerType" />
            <s:element minOccurs="1" maxOccurs="1" name="ContentID" type="s:int" />
            <s:element minOccurs="0" maxOccurs="1" name="VersionName" type="s:string" />
            <s:element minOccurs="0" maxOccurs="1" name="VersionText" type="s:string" />
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:simpleType name="OwnerType">
        <s:restriction base="s:string">
          <s:enumeration value="Bundle" />
          <s:enumeration value="ServicePlan" />
          <s:enumeration value="Feature" />
          <s:enumeration value="Other" />
          <s:enumeration value="CharterMessages" />
          <s:enumeration value="ZipCode" />
        </s:restriction>
      </s:simpleType>
      <s:element name="AddVersionResponse">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="1" maxOccurs="1" name="AddVersionResult" type="s:boolean" />
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="GetOrganization">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="TrackingId" type="s:string" />
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="GetOrganizationResponse">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="GetOrganizationResult" type="s:string" />
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="GetOwnerTypes">
        <s:complexType />
      </s:element>
      <s:element name="GetOwnerTypesResponse">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="GetOwnerTypesResult" type="tns:ArrayOfOWNERDATA" />
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:complexType name="ArrayOfOWNERDATA">
        <s:sequence>
          <s:element minOccurs="0" maxOccurs="unbounded" name="OWNERDATA" type="tns:OWNERDATA" />
        </s:sequence>
      </s:complexType>
      <s:complexType name="OWNERDATA">
        <s:sequence>
          <s:element minOccurs="0" maxOccurs="1" name="_ID" type="s:string" />
          <s:element minOccurs="0" maxOccurs="1" name="_description" type="s:string" />
          <s:element minOccurs="0" maxOccurs="1" name="_Name" type="s:string" />
          <s:element minOccurs="0" maxOccurs="1" name="ID" type="s:string" />
          <s:element minOccurs="0" maxOccurs="1" name="DESCRIPTION" type="s:string" />
          <s:element minOccurs="0" maxOccurs="1" name="Name" type="s:string" />
        </s:sequence>
      </s:complexType>
      <s:element name="GetOwners">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="1" maxOccurs="1" name="OwnerTypeID" type="s:int" />
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="GetOwnersResponse">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="GetOwnersResult" type="tns:ArrayOfOWNERDATA" />
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="GetSchedules">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="1" maxOccurs="1" name="VersionID" type="s:int" />
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="GetSchedulesResponse">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="GetSchedulesResult" type="tns:ArrayOfSCHEDULE" />
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:complexType name="ArrayOfSCHEDULE">
        <s:sequence>
          <s:element minOccurs="0" maxOccurs="unbounded" name="SCHEDULE" type="tns:SCHEDULE" />
        </s:sequence>
      </s:complexType>
      <s:element name="UpdateSchedule">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="1" maxOccurs="1" name="ScheduleID" type="s:int" />
            <s:element minOccurs="1" maxOccurs="1" name="Startdate" type="s:dateTime" />
            <s:element minOccurs="1" maxOccurs="1" name="EndDate" type="s:dateTime" />
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="UpdateScheduleResponse">
        <s:complexType />
      </s:element>
      <s:element name="AddSchedule">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="1" maxOccurs="1" name="VersionID" type="s:int" />
            <s:element minOccurs="1" maxOccurs="1" name="Startdate" type="s:dateTime" />
            <s:element minOccurs="1" maxOccurs="1" name="EndDate" type="s:dateTime" />
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="AddScheduleResponse">
        <s:complexType />
      </s:element>
      <s:element name="DeleteSchedule">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="1" maxOccurs="1" name="ScheduleID" type="s:int" />
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="DeleteScheduleResponse">
        <s:complexType />
      </s:element>
		<s:element name="GetImagesByKeyword">
			<s:complexType>
				<s:sequence>
					<s:element minOccurs="0" maxOccurs="1" name="Keyword" type="s:string" />
				</s:sequence>
			</s:complexType>
		</s:element>
		<s:element name="GetImagesByKeywordResponse">
			<s:complexType>
				<s:sequence>
					<s:element minOccurs="0" maxOccurs="1" name="GetImagesByKeywordResult" type="tns:ArrayOfString" />
				</s:sequence>
			</s:complexType>
		</s:element>				
      <s:element name="GetBinaryFiles">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="BinaryFileType" type="s:string" />
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="GetBinaryFilesResponse">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="GetBinaryFilesResult" type="tns:ArrayOfString" />
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:complexType name="ArrayOfString">
        <s:sequence>
          <s:element minOccurs="0" maxOccurs="unbounded" name="string" nillable="true" type="s:string" />
        </s:sequence>
      </s:complexType>
      <s:element name="AddBinaryFile">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="Name" type="s:string" />
            <s:element minOccurs="0" maxOccurs="1" name="BinaryFileData" type="s:base64Binary" />
            <s:element minOccurs="0" maxOccurs="1" name="BinaryFileExtension" type="s:string" />
            <s:element minOccurs="0" maxOccurs="1" name="BinaryFileType" type="s:string" />
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="AddBinaryFileResponse">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="1" maxOccurs="1" name="AddBinaryFileResult" type="s:boolean" />
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="GetBinaryFile">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="BinaryFileName" type="s:string" />
            <s:element minOccurs="0" maxOccurs="1" name="BinaryFileExtension" type="s:string" />
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="GetBinaryFileResponse">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="1" maxOccurs="1" name="GetBinaryFileResult" type="tns:BINARYFILE" />
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:complexType name="BINARYFILE">
        <s:sequence>
          <s:element minOccurs="1" maxOccurs="1" name="BINARYFILEID" type="s:int" />
          <s:element minOccurs="1" maxOccurs="1" name="VERSIONID" type="s:int" />
          <s:element minOccurs="1" maxOccurs="1" name="CreateByUserID" type="s:int" />
          <s:element minOccurs="1" maxOccurs="1" name="CreateDate" type="s:dateTime" />
          <s:element minOccurs="1" maxOccurs="1" name="ModifyByUserID" type="s:int" />
          <s:element minOccurs="1" maxOccurs="1" name="ModifyDate" type="s:dateTime" />
          <s:element minOccurs="1" maxOccurs="1" name="DeleteByUserID" type="s:int" />
          <s:element minOccurs="1" maxOccurs="1" name="DeleteDate" type="s:dateTime" />
          <s:element minOccurs="1" maxOccurs="1" name="ApprovedByUserID" type="s:int" />
          <s:element minOccurs="1" maxOccurs="1" name="ApprovedDate" type="s:dateTime" />
          <s:element minOccurs="0" maxOccurs="1" name="BINARYFILEDATA" type="s:base64Binary" />
          <s:element minOccurs="0" maxOccurs="1" name="Thumbnail" type="s:base64Binary" />
          <s:element minOccurs="0" maxOccurs="1" name="CAPTION" type="s:string" />
          <s:element minOccurs="0" maxOccurs="1" name="_BinaryFileName" type="s:string" />
          <s:element minOccurs="0" maxOccurs="1" name="_BinaryFileExtension" type="s:string" />
          <s:element minOccurs="0" maxOccurs="1" name="_BinaryFileType" type="s:string" />
          <s:element minOccurs="1" maxOccurs="1" name="BinaryFileID" type="s:int" />
          <s:element minOccurs="1" maxOccurs="1" name="VersionID" type="s:int" />
          <s:element minOccurs="0" maxOccurs="1" name="Caption" type="s:string" />
          <s:element minOccurs="0" maxOccurs="1" name="BinaryFileName" type="s:string" />
          <s:element minOccurs="0" maxOccurs="1" name="BinaryFileExtension" type="s:string" />
          <s:element minOccurs="0" maxOccurs="1" name="BinaryFileType" type="s:string" />
        </s:sequence>
      </s:complexType>
      <s:element name="UpdateBinaryFile">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="1" maxOccurs="1" name="lBinaryFile" type="tns:BINARYFILE" />
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="UpdateBinaryFileResponse">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="1" maxOccurs="1" name="UpdateBinaryFileResult" type="s:boolean" />
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="DeleteBinaryFile">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="BinaryFileName" type="s:string" />
            <s:element minOccurs="0" maxOccurs="1" name="BinaryFileExtension" type="s:string" />
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="DeleteBinaryFileResponse">
        <s:complexType />
      </s:element>
      <s:element name="GetImages">
        <s:complexType />
      </s:element>
      <s:element name="GetImagesResponse">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="GetImagesResult" type="tns:ArrayOfString" />
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="AddImage">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="Name" type="s:string" />
            <s:element minOccurs="0" maxOccurs="1" name="ImageData" type="s:base64Binary" />
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="AddImageResponse">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="1" maxOccurs="1" name="AddImageResult" type="s:boolean" />
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="GetImage">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="ImageName" type="s:string" />
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="GetImageResponse">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="1" maxOccurs="1" name="GetImageResult" type="tns:IMAGE" />
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="UpdateImage">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="1" maxOccurs="1" name="lImage" type="tns:IMAGE" />
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="UpdateImageResponse">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="1" maxOccurs="1" name="UpdateImageResult" type="s:boolean" />
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="DeleteImage">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="Name" type="s:string" />
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="DeleteImageResponse">
        <s:complexType />
      </s:element>
      <s:element name="GetContent">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="UserControl" type="s:string" />
            <s:element minOccurs="0" maxOccurs="1" name="OwnerID" type="s:string" />
            <s:element minOccurs="0" maxOccurs="1" name="Ownertype" type="s:string" />
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="GetContentResponse">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="GetContentResult" type="s:string" />
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="EditContent">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="1" maxOccurs="1" name="versionID" type="s:int" />
            <s:element minOccurs="0" maxOccurs="1" name="content" type="s:string" />
            <s:element minOccurs="0" maxOccurs="1" name="VERSIONNAME" type="s:string" />
            <s:element minOccurs="1" maxOccurs="1" name="SearchResultDisplayable" type="s:boolean" />
            <s:element minOccurs="1" maxOccurs="1" name="TemplateID" type="s:int" />
            <s:element minOccurs="0" maxOccurs="1" name="UserName" type="s:string" />
            <s:element minOccurs="0" maxOccurs="1" name="TemplateName" type="s:string" />
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="EditContentResponse">
        <s:complexType />
      </s:element>
      <s:element name="GetUserControlList">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="1" maxOccurs="1" name="TemplateID" type="s:int" />
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="GetUserControlListResponse">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="GetUserControlListResult">
              <s:complexType>
                <s:sequence>
                  <s:element ref="s:schema" />
                  <s:any />
                </s:sequence>
              </s:complexType>
            </s:element>
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="GetTemplate">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="TemplateID" type="s:string" />
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="GetTemplateResponse">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="GetTemplateResult">
              <s:complexType>
                <s:sequence>
                  <s:element ref="s:schema" />
                  <s:any />
                </s:sequence>
              </s:complexType>
            </s:element>
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="DeleteEdits">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="1" maxOccurs="1" name="ID" type="s:int" />
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="DeleteEditsResponse">
        <s:complexType />
      </s:element>
      <s:element name="GetPendingVersions">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="1" maxOccurs="1" name="TemplateID" type="s:int" />
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="GetPendingVersionsResponse">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="GetPendingVersionsResult">
              <s:complexType>
                <s:sequence>
                  <s:element ref="s:schema" />
                  <s:any />
                </s:sequence>
              </s:complexType>
            </s:element>
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="GetApprovedVersions">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="1" maxOccurs="1" name="TemplateID" type="s:int" />
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="GetApprovedVersionsResponse">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="GetApprovedVersionsResult">
              <s:complexType>
                <s:sequence>
                  <s:element ref="s:schema" />
                  <s:any />
                </s:sequence>
              </s:complexType>
            </s:element>
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="ValidateUser">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="username" type="s:string" />
            <s:element minOccurs="1" maxOccurs="1" name="RoleID" type="s:int" />
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="ValidateUserResponse">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="ValidateUserResult" type="s:string" />
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="PublishContent">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="1" maxOccurs="1" name="TemplateID" type="s:int" />
            <s:element minOccurs="0" maxOccurs="1" name="username" type="s:string" />
            <s:element minOccurs="0" maxOccurs="1" name="templatename" type="s:string" />
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="PublishContentResponse">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="1" maxOccurs="1" name="PublishContentResult" type="s:boolean" />
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="GetEditContent">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="1" maxOccurs="1" name="ID" type="s:int" />
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="GetEditContentResponse">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="GetEditContentResult" type="s:string" />
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="ApproveContent">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="1" maxOccurs="1" name="TemplateID" type="s:int" />
            <s:element minOccurs="0" maxOccurs="1" name="username" type="s:string" />
            <s:element minOccurs="0" maxOccurs="1" name="TemplateName" type="s:string" />
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="ApproveContentResponse">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="1" maxOccurs="1" name="ApproveContentResult" type="s:boolean" />
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="GetApprovedContent">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="1" maxOccurs="1" name="versionID" type="s:int" />
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="GetApprovedContentResponse">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="GetApprovedContentResult" type="s:string" />
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="VerifyNewUser">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="username" type="s:string" />
            <s:element minOccurs="0" maxOccurs="1" name="Password" type="s:string" />
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="VerifyNewUserResponse">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="1" maxOccurs="1" name="VerifyNewUserResult" type="s:int" />
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="DisableUser">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="1" maxOccurs="1" name="UserID" type="s:int" />
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="DisableUserResponse">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="1" maxOccurs="1" name="DisableUserResult" type="s:boolean" />
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="EnableUser">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="1" maxOccurs="1" name="UserID" type="s:int" />
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="EnableUserResponse">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="1" maxOccurs="1" name="EnableUserResult" type="s:boolean" />
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="Authenticate">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="UserName" type="s:string" />
            <s:element minOccurs="0" maxOccurs="1" name="Password" type="s:string" />
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="AuthenticateResponse">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="AuthenticateResult" type="tns:UserInfo" />
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:complexType name="UserInfo">
        <s:sequence>
          <s:element minOccurs="1" maxOccurs="1" name="UserID" type="s:int" />
          <s:element minOccurs="0" maxOccurs="1" name="USerRoles" type="tns:ArrayOfString" />
        </s:sequence>
      </s:complexType>
      <s:element name="createNewUser">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="username" type="s:string" />
            <s:element minOccurs="0" maxOccurs="1" name="Password" type="s:string" />
            <s:element minOccurs="0" maxOccurs="1" name="firstname" type="s:string" />
            <s:element minOccurs="0" maxOccurs="1" name="lastname" type="s:string" />
            <s:element minOccurs="0" maxOccurs="1" name="EmailAddress" type="s:string" />
            <s:element minOccurs="0" maxOccurs="1" name="CreatedBy" type="s:string" />
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="createNewUserResponse">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="1" maxOccurs="1" name="createNewUserResult" type="s:boolean" />
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="saveSelectedTemplate">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="1" maxOccurs="1" name="userid" type="s:int" />
            <s:element minOccurs="1" maxOccurs="1" name="RoleID" type="s:int" />
            <s:element minOccurs="0" maxOccurs="1" name="selectedTemplates" type="tns:ArrayOfString" />
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="saveSelectedTemplateResponse">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="1" maxOccurs="1" name="saveSelectedTemplateResult" type="s:boolean" />
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="GetUsers">
        <s:complexType />
      </s:element>
      <s:element name="GetUsersResponse">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="GetUsersResult">
              <s:complexType>
                <s:sequence>
                  <s:element ref="s:schema" />
                  <s:any />
                </s:sequence>
              </s:complexType>
            </s:element>
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="GetTemplates">
        <s:complexType />
      </s:element>
      <s:element name="GetTemplatesResponse">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="GetTemplatesResult">
              <s:complexType>
                <s:sequence>
                  <s:element ref="s:schema" />
                  <s:any />
                </s:sequence>
              </s:complexType>
            </s:element>
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="GetTemplatesForUser">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="1" maxOccurs="1" name="userid" type="s:int" />
            <s:element minOccurs="1" maxOccurs="1" name="RoleID" type="s:int" />
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="GetTemplatesForUserResponse">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="GetTemplatesForUserResult">
              <s:complexType>
                <s:sequence>
                  <s:element ref="s:schema" />
                  <s:any />
                </s:sequence>
              </s:complexType>
            </s:element>
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="GetUserID">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="username" type="s:string" />
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="GetUserIDResponse">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="1" maxOccurs="1" name="GetUserIDResult" type="s:int" />
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="GetContentAuthoringRoles">
        <s:complexType />
      </s:element>
      <s:element name="GetContentAuthoringRolesResponse">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="GetContentAuthoringRolesResult">
              <s:complexType>
                <s:sequence>
                  <s:element ref="s:schema" />
                  <s:any />
                </s:sequence>
              </s:complexType>
            </s:element>
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="GetRoles">
        <s:complexType />
      </s:element>
      <s:element name="GetRolesResponse">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="GetRolesResult">
              <s:complexType>
                <s:sequence>
                  <s:element ref="s:schema" />
                  <s:any />
                </s:sequence>
              </s:complexType>
            </s:element>
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="GetUserName">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="1" maxOccurs="1" name="userid" type="s:int" />
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="GetUserNameResponse">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="GetUserNameResult">
              <s:complexType>
                <s:sequence>
                  <s:element ref="s:schema" />
                  <s:any />
                </s:sequence>
              </s:complexType>
            </s:element>
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="UpdatePassword">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="1" maxOccurs="1" name="userid" type="s:int" />
            <s:element minOccurs="0" maxOccurs="1" name="password" type="s:string" />
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="UpdatePasswordResponse">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="1" maxOccurs="1" name="UpdatePasswordResult" type="s:boolean" />
          </s:sequence>
        </s:complexType>
      </s:element>
    </s:schema>
  </wsdl:types>
  <wsdl:message name="GetContentIDSoapIn">
    <wsdl:part name="parameters" element="tns:GetContentID" />
  </wsdl:message>
  <wsdl:message name="GetContentIDSoapOut">
    <wsdl:part name="parameters" element="tns:GetContentIDResponse" />
  </wsdl:message>
  <wsdl:message name="GetVersionsSoapIn">
    <wsdl:part name="parameters" element="tns:GetVersions" />
  </wsdl:message>
  <wsdl:message name="GetVersionsSoapOut">
    <wsdl:part name="parameters" element="tns:GetVersionsResponse" />
  </wsdl:message>
  <wsdl:message name="UpdateVersionTextSoapIn">
    <wsdl:part name="parameters" element="tns:UpdateVersionText" />
  </wsdl:message>
  <wsdl:message name="UpdateVersionTextSoapOut">
    <wsdl:part name="parameters" element="tns:UpdateVersionTextResponse" />
  </wsdl:message>
  <wsdl:message name="DeleteVersionSoapIn">
    <wsdl:part name="parameters" element="tns:DeleteVersion" />
  </wsdl:message>
  <wsdl:message name="DeleteVersionSoapOut">
    <wsdl:part name="parameters" element="tns:DeleteVersionResponse" />
  </wsdl:message>
  <wsdl:message name="AddVersionSoapIn">
    <wsdl:part name="parameters" element="tns:AddVersion" />
  </wsdl:message>
  <wsdl:message name="AddVersionSoapOut">
    <wsdl:part name="parameters" element="tns:AddVersionResponse" />
  </wsdl:message>
  <wsdl:message name="GetOrganizationSoapIn">
    <wsdl:part name="parameters" element="tns:GetOrganization" />
  </wsdl:message>
  <wsdl:message name="GetOrganizationSoapOut">
    <wsdl:part name="parameters" element="tns:GetOrganizationResponse" />
  </wsdl:message>
  <wsdl:message name="GetOwnerTypesSoapIn">
    <wsdl:part name="parameters" element="tns:GetOwnerTypes" />
  </wsdl:message>
  <wsdl:message name="GetOwnerTypesSoapOut">
    <wsdl:part name="parameters" element="tns:GetOwnerTypesResponse" />
  </wsdl:message>
  <wsdl:message name="GetOwnersSoapIn">
    <wsdl:part name="parameters" element="tns:GetOwners" />
  </wsdl:message>
  <wsdl:message name="GetOwnersSoapOut">
    <wsdl:part name="parameters" element="tns:GetOwnersResponse" />
  </wsdl:message>
  <wsdl:message name="GetSchedulesSoapIn">
    <wsdl:part name="parameters" element="tns:GetSchedules" />
  </wsdl:message>
  <wsdl:message name="GetSchedulesSoapOut">
    <wsdl:part name="parameters" element="tns:GetSchedulesResponse" />
  </wsdl:message>
  <wsdl:message name="UpdateScheduleSoapIn">
    <wsdl:part name="parameters" element="tns:UpdateSchedule" />
  </wsdl:message>
  <wsdl:message name="UpdateScheduleSoapOut">
    <wsdl:part name="parameters" element="tns:UpdateScheduleResponse" />
  </wsdl:message>
  <wsdl:message name="AddScheduleSoapIn">
    <wsdl:part name="parameters" element="tns:AddSchedule" />
  </wsdl:message>
  <wsdl:message name="AddScheduleSoapOut">
    <wsdl:part name="parameters" element="tns:AddScheduleResponse" />
  </wsdl:message>
  <wsdl:message name="DeleteScheduleSoapIn">
    <wsdl:part name="parameters" element="tns:DeleteSchedule" />
  </wsdl:message>
  <wsdl:message name="DeleteScheduleSoapOut">
    <wsdl:part name="parameters" element="tns:DeleteScheduleResponse" />
  </wsdl:message>
	<wsdl:message name="GetImagesByKeywordSoapIn">
		<wsdl:part name="parameters" element="tns:GetImagesByKeyword" />
	</wsdl:message>
	<wsdl:message name="GetImagesByKeywordSoapOut">
		<wsdl:part name="parameters" element="tns:GetImagesByKeywordResponse" />
	</wsdl:message>		
  <wsdl:message name="GetBinaryFilesSoapIn">
    <wsdl:part name="parameters" element="tns:GetBinaryFiles" />
  </wsdl:message>
  <wsdl:message name="GetBinaryFilesSoapOut">
    <wsdl:part name="parameters" element="tns:GetBinaryFilesResponse" />
  </wsdl:message>
  <wsdl:message name="AddBinaryFileSoapIn">
    <wsdl:part name="parameters" element="tns:AddBinaryFile" />
  </wsdl:message>
  <wsdl:message name="AddBinaryFileSoapOut">
    <wsdl:part name="parameters" element="tns:AddBinaryFileResponse" />
  </wsdl:message>
  <wsdl:message name="GetBinaryFileSoapIn">
    <wsdl:part name="parameters" element="tns:GetBinaryFile" />
  </wsdl:message>
  <wsdl:message name="GetBinaryFileSoapOut">
    <wsdl:part name="parameters" element="tns:GetBinaryFileResponse" />
  </wsdl:message>
  <wsdl:message name="UpdateBinaryFileSoapIn">
    <wsdl:part name="parameters" element="tns:UpdateBinaryFile" />
  </wsdl:message>
  <wsdl:message name="UpdateBinaryFileSoapOut">
    <wsdl:part name="parameters" element="tns:UpdateBinaryFileResponse" />
  </wsdl:message>
  <wsdl:message name="DeleteBinaryFileSoapIn">
    <wsdl:part name="parameters" element="tns:DeleteBinaryFile" />
  </wsdl:message>
  <wsdl:message name="DeleteBinaryFileSoapOut">
    <wsdl:part name="parameters" element="tns:DeleteBinaryFileResponse" />
  </wsdl:message>
  <wsdl:message name="GetImagesSoapIn">
    <wsdl:part name="parameters" element="tns:GetImages" />
  </wsdl:message>
  <wsdl:message name="GetImagesSoapOut">
    <wsdl:part name="parameters" element="tns:GetImagesResponse" />
  </wsdl:message>
  <wsdl:message name="AddImageSoapIn">
    <wsdl:part name="parameters" element="tns:AddImage" />
  </wsdl:message>
  <wsdl:message name="AddImageSoapOut">
    <wsdl:part name="parameters" element="tns:AddImageResponse" />
  </wsdl:message>
  <wsdl:message name="GetImageSoapIn">
    <wsdl:part name="parameters" element="tns:GetImage" />
  </wsdl:message>
  <wsdl:message name="GetImageSoapOut">
    <wsdl:part name="parameters" element="tns:GetImageResponse" />
  </wsdl:message>
  <wsdl:message name="UpdateImageSoapIn">
    <wsdl:part name="parameters" element="tns:UpdateImage" />
  </wsdl:message>
  <wsdl:message name="UpdateImageSoapOut">
    <wsdl:part name="parameters" element="tns:UpdateImageResponse" />
  </wsdl:message>
  <wsdl:message name="DeleteImageSoapIn">
    <wsdl:part name="parameters" element="tns:DeleteImage" />
  </wsdl:message>
  <wsdl:message name="DeleteImageSoapOut">
    <wsdl:part name="parameters" element="tns:DeleteImageResponse" />
  </wsdl:message>
  <wsdl:message name="GetContentSoapIn">
    <wsdl:part name="parameters" element="tns:GetContent" />
  </wsdl:message>
  <wsdl:message name="GetContentSoapOut">
    <wsdl:part name="parameters" element="tns:GetContentResponse" />
  </wsdl:message>
  <wsdl:message name="EditContentSoapIn">
    <wsdl:part name="parameters" element="tns:EditContent" />
  </wsdl:message>
  <wsdl:message name="EditContentSoapOut">
    <wsdl:part name="parameters" element="tns:EditContentResponse" />
  </wsdl:message>
  <wsdl:message name="GetUserControlListSoapIn">
    <wsdl:part name="parameters" element="tns:GetUserControlList" />
  </wsdl:message>
  <wsdl:message name="GetUserControlListSoapOut">
    <wsdl:part name="parameters" element="tns:GetUserControlListResponse" />
  </wsdl:message>
  <wsdl:message name="GetTemplateSoapIn">
    <wsdl:part name="parameters" element="tns:GetTemplate" />
  </wsdl:message>
  <wsdl:message name="GetTemplateSoapOut">
    <wsdl:part name="parameters" element="tns:GetTemplateResponse" />
  </wsdl:message>
  <wsdl:message name="DeleteEditsSoapIn">
    <wsdl:part name="parameters" element="tns:DeleteEdits" />
  </wsdl:message>
  <wsdl:message name="DeleteEditsSoapOut">
    <wsdl:part name="parameters" element="tns:DeleteEditsResponse" />
  </wsdl:message>
  <wsdl:message name="GetPendingVersionsSoapIn">
    <wsdl:part name="parameters" element="tns:GetPendingVersions" />
  </wsdl:message>
  <wsdl:message name="GetPendingVersionsSoapOut">
    <wsdl:part name="parameters" element="tns:GetPendingVersionsResponse" />
  </wsdl:message>
  <wsdl:message name="GetApprovedVersionsSoapIn">
    <wsdl:part name="parameters" element="tns:GetApprovedVersions" />
  </wsdl:message>
  <wsdl:message name="GetApprovedVersionsSoapOut">
    <wsdl:part name="parameters" element="tns:GetApprovedVersionsResponse" />
  </wsdl:message>
  <wsdl:message name="ValidateUserSoapIn">
    <wsdl:part name="parameters" element="tns:ValidateUser" />
  </wsdl:message>
  <wsdl:message name="ValidateUserSoapOut">
    <wsdl:part name="parameters" element="tns:ValidateUserResponse" />
  </wsdl:message>
  <wsdl:message name="PublishContentSoapIn">
    <wsdl:part name="parameters" element="tns:PublishContent" />
  </wsdl:message>
  <wsdl:message name="PublishContentSoapOut">
    <wsdl:part name="parameters" element="tns:PublishContentResponse" />
  </wsdl:message>
  <wsdl:message name="GetEditContentSoapIn">
    <wsdl:part name="parameters" element="tns:GetEditContent" />
  </wsdl:message>
  <wsdl:message name="GetEditContentSoapOut">
    <wsdl:part name="parameters" element="tns:GetEditContentResponse" />
  </wsdl:message>
  <wsdl:message name="ApproveContentSoapIn">
    <wsdl:part name="parameters" element="tns:ApproveContent" />
  </wsdl:message>
  <wsdl:message name="ApproveContentSoapOut">
    <wsdl:part name="parameters" element="tns:ApproveContentResponse" />
  </wsdl:message>
  <wsdl:message name="GetApprovedContentSoapIn">
    <wsdl:part name="parameters" element="tns:GetApprovedContent" />
  </wsdl:message>
  <wsdl:message name="GetApprovedContentSoapOut">
    <wsdl:part name="parameters" element="tns:GetApprovedContentResponse" />
  </wsdl:message>
  <wsdl:message name="VerifyNewUserSoapIn">
    <wsdl:part name="parameters" element="tns:VerifyNewUser" />
  </wsdl:message>
  <wsdl:message name="VerifyNewUserSoapOut">
    <wsdl:part name="parameters" element="tns:VerifyNewUserResponse" />
  </wsdl:message>
  <wsdl:message name="DisableUserSoapIn">
    <wsdl:part name="parameters" element="tns:DisableUser" />
  </wsdl:message>
  <wsdl:message name="DisableUserSoapOut">
    <wsdl:part name="parameters" element="tns:DisableUserResponse" />
  </wsdl:message>
  <wsdl:message name="EnableUserSoapIn">
    <wsdl:part name="parameters" element="tns:EnableUser" />
  </wsdl:message>
  <wsdl:message name="EnableUserSoapOut">
    <wsdl:part name="parameters" element="tns:EnableUserResponse" />
  </wsdl:message>
  <wsdl:message name="AuthenticateSoapIn">
    <wsdl:part name="parameters" element="tns:Authenticate" />
  </wsdl:message>
  <wsdl:message name="AuthenticateSoapOut">
    <wsdl:part name="parameters" element="tns:AuthenticateResponse" />
  </wsdl:message>
  <wsdl:message name="createNewUserSoapIn">
    <wsdl:part name="parameters" element="tns:createNewUser" />
  </wsdl:message>
  <wsdl:message name="createNewUserSoapOut">
    <wsdl:part name="parameters" element="tns:createNewUserResponse" />
  </wsdl:message>
  <wsdl:message name="saveSelectedTemplateSoapIn">
    <wsdl:part name="parameters" element="tns:saveSelectedTemplate" />
  </wsdl:message>
  <wsdl:message name="saveSelectedTemplateSoapOut">
    <wsdl:part name="parameters" element="tns:saveSelectedTemplateResponse" />
  </wsdl:message>
  <wsdl:message name="GetUsersSoapIn">
    <wsdl:part name="parameters" element="tns:GetUsers" />
  </wsdl:message>
  <wsdl:message name="GetUsersSoapOut">
    <wsdl:part name="parameters" element="tns:GetUsersResponse" />
  </wsdl:message>
  <wsdl:message name="GetTemplatesSoapIn">
    <wsdl:part name="parameters" element="tns:GetTemplates" />
  </wsdl:message>
  <wsdl:message name="GetTemplatesSoapOut">
    <wsdl:part name="parameters" element="tns:GetTemplatesResponse" />
  </wsdl:message>
  <wsdl:message name="GetTemplatesForUserSoapIn">
    <wsdl:part name="parameters" element="tns:GetTemplatesForUser" />
  </wsdl:message>
  <wsdl:message name="GetTemplatesForUserSoapOut">
    <wsdl:part name="parameters" element="tns:GetTemplatesForUserResponse" />
  </wsdl:message>
  <wsdl:message name="GetUserIDSoapIn">
    <wsdl:part name="parameters" element="tns:GetUserID" />
  </wsdl:message>
  <wsdl:message name="GetUserIDSoapOut">
    <wsdl:part name="parameters" element="tns:GetUserIDResponse" />
  </wsdl:message>
  <wsdl:message name="GetContentAuthoringRolesSoapIn">
    <wsdl:part name="parameters" element="tns:GetContentAuthoringRoles" />
  </wsdl:message>
  <wsdl:message name="GetContentAuthoringRolesSoapOut">
    <wsdl:part name="parameters" element="tns:GetContentAuthoringRolesResponse" />
  </wsdl:message>
  <wsdl:message name="GetRolesSoapIn">
    <wsdl:part name="parameters" element="tns:GetRoles" />
  </wsdl:message>
  <wsdl:message name="GetRolesSoapOut">
    <wsdl:part name="parameters" element="tns:GetRolesResponse" />
  </wsdl:message>
  <wsdl:message name="GetUserNameSoapIn">
    <wsdl:part name="parameters" element="tns:GetUserName" />
  </wsdl:message>
  <wsdl:message name="GetUserNameSoapOut">
    <wsdl:part name="parameters" element="tns:GetUserNameResponse" />
  </wsdl:message>
  <wsdl:message name="UpdatePasswordSoapIn">
    <wsdl:part name="parameters" element="tns:UpdatePassword" />
  </wsdl:message>
  <wsdl:message name="UpdatePasswordSoapOut">
    <wsdl:part name="parameters" element="tns:UpdatePasswordResponse" />
  </wsdl:message>
  <wsdl:portType name="CMSServiceSoap">
    <wsdl:operation name="GetContentID">
      <wsdl:input message="tns:GetContentIDSoapIn" />
      <wsdl:output message="tns:GetContentIDSoapOut" />
    </wsdl:operation>
    <wsdl:operation name="GetVersions">
      <wsdl:input message="tns:GetVersionsSoapIn" />
      <wsdl:output message="tns:GetVersionsSoapOut" />
    </wsdl:operation>
    <wsdl:operation name="UpdateVersionText">
      <wsdl:input message="tns:UpdateVersionTextSoapIn" />
      <wsdl:output message="tns:UpdateVersionTextSoapOut" />
    </wsdl:operation>
    <wsdl:operation name="DeleteVersion">
      <wsdl:input message="tns:DeleteVersionSoapIn" />
      <wsdl:output message="tns:DeleteVersionSoapOut" />
    </wsdl:operation>
    <wsdl:operation name="AddVersion">
      <wsdl:input message="tns:AddVersionSoapIn" />
      <wsdl:output message="tns:AddVersionSoapOut" />
    </wsdl:operation>
    <wsdl:operation name="GetOrganization">
      <wsdl:input message="tns:GetOrganizationSoapIn" />
      <wsdl:output message="tns:GetOrganizationSoapOut" />
    </wsdl:operation>
    <wsdl:operation name="GetOwnerTypes">
      <wsdl:input message="tns:GetOwnerTypesSoapIn" />
      <wsdl:output message="tns:GetOwnerTypesSoapOut" />
    </wsdl:operation>
    <wsdl:operation name="GetOwners">
      <wsdl:input message="tns:GetOwnersSoapIn" />
      <wsdl:output message="tns:GetOwnersSoapOut" />
    </wsdl:operation>
    <wsdl:operation name="GetSchedules">
      <wsdl:input message="tns:GetSchedulesSoapIn" />
      <wsdl:output message="tns:GetSchedulesSoapOut" />
    </wsdl:operation>
    <wsdl:operation name="UpdateSchedule">
      <wsdl:input message="tns:UpdateScheduleSoapIn" />
      <wsdl:output message="tns:UpdateScheduleSoapOut" />
    </wsdl:operation>
    <wsdl:operation name="AddSchedule">
      <wsdl:input message="tns:AddScheduleSoapIn" />
      <wsdl:output message="tns:AddScheduleSoapOut" />
    </wsdl:operation>
    <wsdl:operation name="DeleteSchedule">
      <wsdl:input message="tns:DeleteScheduleSoapIn" />
      <wsdl:output message="tns:DeleteScheduleSoapOut" />
    </wsdl:operation>
	  <wsdl:operation name="GetImagesByKeyword">
		  <wsdl:input message="tns:GetImagesByKeywordSoapIn" />
		  <wsdl:output message="tns:GetImagesByKeywordSoapOut" />
	  </wsdl:operation>	  	  
    <wsdl:operation name="GetBinaryFiles">
      <wsdl:input message="tns:GetBinaryFilesSoapIn" />
      <wsdl:output message="tns:GetBinaryFilesSoapOut" />
    </wsdl:operation>
    <wsdl:operation name="AddBinaryFile">
      <wsdl:input message="tns:AddBinaryFileSoapIn" />
      <wsdl:output message="tns:AddBinaryFileSoapOut" />
    </wsdl:operation>
    <wsdl:operation name="GetBinaryFile">
      <wsdl:input message="tns:GetBinaryFileSoapIn" />
      <wsdl:output message="tns:GetBinaryFileSoapOut" />
    </wsdl:operation>
    <wsdl:operation name="UpdateBinaryFile">
      <wsdl:input message="tns:UpdateBinaryFileSoapIn" />
      <wsdl:output message="tns:UpdateBinaryFileSoapOut" />
    </wsdl:operation>
    <wsdl:operation name="DeleteBinaryFile">
      <wsdl:input message="tns:DeleteBinaryFileSoapIn" />
      <wsdl:output message="tns:DeleteBinaryFileSoapOut" />
    </wsdl:operation>
    <wsdl:operation name="GetImages">
      <wsdl:input message="tns:GetImagesSoapIn" />
      <wsdl:output message="tns:GetImagesSoapOut" />
    </wsdl:operation>
    <wsdl:operation name="AddImage">
      <wsdl:input message="tns:AddImageSoapIn" />
      <wsdl:output message="tns:AddImageSoapOut" />
    </wsdl:operation>
    <wsdl:operation name="GetImage">
      <wsdl:input message="tns:GetImageSoapIn" />
      <wsdl:output message="tns:GetImageSoapOut" />
    </wsdl:operation>
    <wsdl:operation name="UpdateImage">
      <wsdl:input message="tns:UpdateImageSoapIn" />
      <wsdl:output message="tns:UpdateImageSoapOut" />
    </wsdl:operation>
    <wsdl:operation name="DeleteImage">
      <wsdl:input message="tns:DeleteImageSoapIn" />
      <wsdl:output message="tns:DeleteImageSoapOut" />
    </wsdl:operation>
    <wsdl:operation name="GetContent">
      <wsdl:input message="tns:GetContentSoapIn" />
      <wsdl:output message="tns:GetContentSoapOut" />
    </wsdl:operation>
    <wsdl:operation name="EditContent">
      <wsdl:input message="tns:EditContentSoapIn" />
      <wsdl:output message="tns:EditContentSoapOut" />
    </wsdl:operation>
    <wsdl:operation name="GetUserControlList">
      <wsdl:input message="tns:GetUserControlListSoapIn" />
      <wsdl:output message="tns:GetUserControlListSoapOut" />
    </wsdl:operation>
    <wsdl:operation name="GetTemplate">
      <wsdl:input message="tns:GetTemplateSoapIn" />
      <wsdl:output message="tns:GetTemplateSoapOut" />
    </wsdl:operation>
    <wsdl:operation name="DeleteEdits">
      <wsdl:input message="tns:DeleteEditsSoapIn" />
      <wsdl:output message="tns:DeleteEditsSoapOut" />
    </wsdl:operation>
    <wsdl:operation name="GetPendingVersions">
      <wsdl:input message="tns:GetPendingVersionsSoapIn" />
      <wsdl:output message="tns:GetPendingVersionsSoapOut" />
    </wsdl:operation>
    <wsdl:operation name="GetApprovedVersions">
      <wsdl:input message="tns:GetApprovedVersionsSoapIn" />
      <wsdl:output message="tns:GetApprovedVersionsSoapOut" />
    </wsdl:operation>
    <wsdl:operation name="ValidateUser">
      <wsdl:input message="tns:ValidateUserSoapIn" />
      <wsdl:output message="tns:ValidateUserSoapOut" />
    </wsdl:operation>
    <wsdl:operation name="PublishContent">
      <wsdl:input message="tns:PublishContentSoapIn" />
      <wsdl:output message="tns:PublishContentSoapOut" />
    </wsdl:operation>
    <wsdl:operation name="GetEditContent">
      <wsdl:input message="tns:GetEditContentSoapIn" />
      <wsdl:output message="tns:GetEditContentSoapOut" />
    </wsdl:operation>
    <wsdl:operation name="ApproveContent">
      <wsdl:input message="tns:ApproveContentSoapIn" />
      <wsdl:output message="tns:ApproveContentSoapOut" />
    </wsdl:operation>
    <wsdl:operation name="GetApprovedContent">
      <wsdl:input message="tns:GetApprovedContentSoapIn" />
      <wsdl:output message="tns:GetApprovedContentSoapOut" />
    </wsdl:operation>
    <wsdl:operation name="VerifyNewUser">
      <wsdl:input message="tns:VerifyNewUserSoapIn" />
      <wsdl:output message="tns:VerifyNewUserSoapOut" />
    </wsdl:operation>
    <wsdl:operation name="DisableUser">
      <wsdl:input message="tns:DisableUserSoapIn" />
      <wsdl:output message="tns:DisableUserSoapOut" />
    </wsdl:operation>
    <wsdl:operation name="EnableUser">
      <wsdl:input message="tns:EnableUserSoapIn" />
      <wsdl:output message="tns:EnableUserSoapOut" />
    </wsdl:operation>
    <wsdl:operation name="Authenticate">
      <wsdl:input message="tns:AuthenticateSoapIn" />
      <wsdl:output message="tns:AuthenticateSoapOut" />
    </wsdl:operation>
    <wsdl:operation name="createNewUser">
      <wsdl:input message="tns:createNewUserSoapIn" />
      <wsdl:output message="tns:createNewUserSoapOut" />
    </wsdl:operation>
    <wsdl:operation name="saveSelectedTemplate">
      <wsdl:input message="tns:saveSelectedTemplateSoapIn" />
      <wsdl:output message="tns:saveSelectedTemplateSoapOut" />
    </wsdl:operation>
    <wsdl:operation name="GetUsers">
      <wsdl:input message="tns:GetUsersSoapIn" />
      <wsdl:output message="tns:GetUsersSoapOut" />
    </wsdl:operation>
    <wsdl:operation name="GetTemplates">
      <wsdl:input message="tns:GetTemplatesSoapIn" />
      <wsdl:output message="tns:GetTemplatesSoapOut" />
    </wsdl:operation>
    <wsdl:operation name="GetTemplatesForUser">
      <wsdl:input message="tns:GetTemplatesForUserSoapIn" />
      <wsdl:output message="tns:GetTemplatesForUserSoapOut" />
    </wsdl:operation>
    <wsdl:operation name="GetUserID">
      <wsdl:input message="tns:GetUserIDSoapIn" />
      <wsdl:output message="tns:GetUserIDSoapOut" />
    </wsdl:operation>
    <wsdl:operation name="GetContentAuthoringRoles">
      <wsdl:input message="tns:GetContentAuthoringRolesSoapIn" />
      <wsdl:output message="tns:GetContentAuthoringRolesSoapOut" />
    </wsdl:operation>
    <wsdl:operation name="GetRoles">
      <wsdl:input message="tns:GetRolesSoapIn" />
      <wsdl:output message="tns:GetRolesSoapOut" />
    </wsdl:operation>
    <wsdl:operation name="GetUserName">
      <wsdl:input message="tns:GetUserNameSoapIn" />
      <wsdl:output message="tns:GetUserNameSoapOut" />
    </wsdl:operation>
    <wsdl:operation name="UpdatePassword">
      <wsdl:input message="tns:UpdatePasswordSoapIn" />
      <wsdl:output message="tns:UpdatePasswordSoapOut" />
    </wsdl:operation>
  </wsdl:portType>
  <wsdl:binding name="CMSServiceSoap" type="tns:CMSServiceSoap">
    <soap:binding transport="http://schemas.xmlsoap.org/soap/http" />
    <wsdl:operation name="GetContentID">
      <soap:operation soapAction="http://CharterDotComAdminServices/GetContentID" style="document" />
      <wsdl:input>
        <soap:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="GetVersions">
      <soap:operation soapAction="http://CharterDotComAdminServices/GetVersions" style="document" />
      <wsdl:input>
        <soap:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="UpdateVersionText">
      <soap:operation soapAction="http://CharterDotComAdminServices/UpdateVersionText" style="document" />
      <wsdl:input>
        <soap:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="DeleteVersion">
      <soap:operation soapAction="http://CharterDotComAdminServices/DeleteVersion" style="document" />
      <wsdl:input>
        <soap:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="AddVersion">
      <soap:operation soapAction="http://CharterDotComAdminServices/AddVersion" style="document" />
      <wsdl:input>
        <soap:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="GetOrganization">
      <soap:operation soapAction="http://CharterDotComAdminServices/GetOrganization" style="document" />
      <wsdl:input>
        <soap:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="GetOwnerTypes">
      <soap:operation soapAction="http://CharterDotComAdminServices/GetOwnerTypes" style="document" />
      <wsdl:input>
        <soap:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="GetOwners">
      <soap:operation soapAction="http://CharterDotComAdminServices/GetOwners" style="document" />
      <wsdl:input>
        <soap:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="GetSchedules">
      <soap:operation soapAction="http://CharterDotComAdminServices/GetSchedules" style="document" />
      <wsdl:input>
        <soap:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="UpdateSchedule">
      <soap:operation soapAction="http://CharterDotComAdminServices/UpdateSchedule" style="document" />
      <wsdl:input>
        <soap:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="AddSchedule">
      <soap:operation soapAction="http://CharterDotComAdminServices/AddSchedule" style="document" />
      <wsdl:input>
        <soap:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="DeleteSchedule">
      <soap:operation soapAction="http://CharterDotComAdminServices/DeleteSchedule" style="document" />
      <wsdl:input>
        <soap:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
	  <wsdl:operation name="GetImagesByKeyword">
		  <soap:operation soapAction="http://CharterDotComAdminServices/GetImagesByKeyword" style="document" />
		  <wsdl:input>
			  <soap:body use="literal" />
		  </wsdl:input>
		  <wsdl:output>
			  <soap:body use="literal" />
		  </wsdl:output>
	  </wsdl:operation>	  
    <wsdl:operation name="GetBinaryFiles">
      <soap:operation soapAction="http://CharterDotComAdminServices/GetBinaryFiles" style="document" />
      <wsdl:input>
        <soap:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="AddBinaryFile">
      <soap:operation soapAction="http://CharterDotComAdminServices/AddBinaryFile" style="document" />
      <wsdl:input>
        <soap:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="GetBinaryFile">
      <soap:operation soapAction="http://CharterDotComAdminServices/GetBinaryFile" style="document" />
      <wsdl:input>
        <soap:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="UpdateBinaryFile">
      <soap:operation soapAction="http://CharterDotComAdminServices/UpdateBinaryFile" style="document" />
      <wsdl:input>
        <soap:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="DeleteBinaryFile">
      <soap:operation soapAction="http://CharterDotComAdminServices/DeleteBinaryFile" style="document" />
      <wsdl:input>
        <soap:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="GetImages">
      <soap:operation soapAction="http://CharterDotComAdminServices/GetImages" style="document" />
      <wsdl:input>
        <soap:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="AddImage">
      <soap:operation soapAction="http://CharterDotComAdminServices/AddImage" style="document" />
      <wsdl:input>
        <soap:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="GetImage">
      <soap:operation soapAction="http://CharterDotComAdminServices/GetImage" style="document" />
      <wsdl:input>
        <soap:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="UpdateImage">
      <soap:operation soapAction="http://CharterDotComAdminServices/UpdateImage" style="document" />
      <wsdl:input>
        <soap:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="DeleteImage">
      <soap:operation soapAction="http://CharterDotComAdminServices/DeleteImage" style="document" />
      <wsdl:input>
        <soap:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="GetContent">
      <soap:operation soapAction="http://CharterDotComAdminServices/GetContent" style="document" />
      <wsdl:input>
        <soap:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="EditContent">
      <soap:operation soapAction="http://CharterDotComAdminServices/EditContent" style="document" />
      <wsdl:input>
        <soap:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="GetUserControlList">
      <soap:operation soapAction="http://CharterDotComAdminServices/GetUserControlList" style="document" />
      <wsdl:input>
        <soap:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="GetTemplate">
      <soap:operation soapAction="http://CharterDotComAdminServices/GetTemplate" style="document" />
      <wsdl:input>
        <soap:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="DeleteEdits">
      <soap:operation soapAction="http://CharterDotComAdminServices/DeleteEdits" style="document" />
      <wsdl:input>
        <soap:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="GetPendingVersions">
      <soap:operation soapAction="http://CharterDotComAdminServices/GetPendingVersions" style="document" />
      <wsdl:input>
        <soap:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="GetApprovedVersions">
      <soap:operation soapAction="http://CharterDotComAdminServices/GetApprovedVersions" style="document" />
      <wsdl:input>
        <soap:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="ValidateUser">
      <soap:operation soapAction="http://CharterDotComAdminServices/ValidateUser" style="document" />
      <wsdl:input>
        <soap:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="PublishContent">
      <soap:operation soapAction="http://CharterDotComAdminServices/PublishContent" style="document" />
      <wsdl:input>
        <soap:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="GetEditContent">
      <soap:operation soapAction="http://CharterDotComAdminServices/GetEditContent" style="document" />
      <wsdl:input>
        <soap:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="ApproveContent">
      <soap:operation soapAction="http://CharterDotComAdminServices/ApproveContent" style="document" />
      <wsdl:input>
        <soap:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="GetApprovedContent">
      <soap:operation soapAction="http://CharterDotComAdminServices/GetApprovedContent" style="document" />
      <wsdl:input>
        <soap:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="VerifyNewUser">
      <soap:operation soapAction="http://CharterDotComAdminServices/VerifyNewUser" style="document" />
      <wsdl:input>
        <soap:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="DisableUser">
      <soap:operation soapAction="http://CharterDotComAdminServices/DisableUser" style="document" />
      <wsdl:input>
        <soap:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="EnableUser">
      <soap:operation soapAction="http://CharterDotComAdminServices/EnableUser" style="document" />
      <wsdl:input>
        <soap:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="Authenticate">
      <soap:operation soapAction="http://CharterDotComAdminServices/Authenticate" style="document" />
      <wsdl:input>
        <soap:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="createNewUser">
      <soap:operation soapAction="http://CharterDotComAdminServices/createNewUser" style="document" />
      <wsdl:input>
        <soap:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="saveSelectedTemplate">
      <soap:operation soapAction="http://CharterDotComAdminServices/saveSelectedTemplate" style="document" />
      <wsdl:input>
        <soap:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="GetUsers">
      <soap:operation soapAction="http://CharterDotComAdminServices/GetUsers" style="document" />
      <wsdl:input>
        <soap:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="GetTemplates">
      <soap:operation soapAction="http://CharterDotComAdminServices/GetTemplates" style="document" />
      <wsdl:input>
        <soap:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="GetTemplatesForUser">
      <soap:operation soapAction="http://CharterDotComAdminServices/GetTemplatesForUser" style="document" />
      <wsdl:input>
        <soap:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="GetUserID">
      <soap:operation soapAction="http://CharterDotComAdminServices/GetUserID" style="document" />
      <wsdl:input>
        <soap:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="GetContentAuthoringRoles">
      <soap:operation soapAction="http://CharterDotComAdminServices/GetContentAuthoringRoles" style="document" />
      <wsdl:input>
        <soap:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="GetRoles">
      <soap:operation soapAction="http://CharterDotComAdminServices/GetRoles" style="document" />
      <wsdl:input>
        <soap:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="GetUserName">
      <soap:operation soapAction="http://CharterDotComAdminServices/GetUserName" style="document" />
      <wsdl:input>
        <soap:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="UpdatePassword">
      <soap:operation soapAction="http://CharterDotComAdminServices/UpdatePassword" style="document" />
      <wsdl:input>
        <soap:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
  </wsdl:binding>
  <wsdl:binding name="CMSServiceSoap12" type="tns:CMSServiceSoap">
    <soap12:binding transport="http://schemas.xmlsoap.org/soap/http" />
    <wsdl:operation name="GetContentID">
      <soap12:operation soapAction="http://CharterDotComAdminServices/GetContentID" style="document" />
      <wsdl:input>
        <soap12:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap12:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="GetVersions">
      <soap12:operation soapAction="http://CharterDotComAdminServices/GetVersions" style="document" />
      <wsdl:input>
        <soap12:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap12:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="UpdateVersionText">
      <soap12:operation soapAction="http://CharterDotComAdminServices/UpdateVersionText" style="document" />
      <wsdl:input>
        <soap12:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap12:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="DeleteVersion">
      <soap12:operation soapAction="http://CharterDotComAdminServices/DeleteVersion" style="document" />
      <wsdl:input>
        <soap12:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap12:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="AddVersion">
      <soap12:operation soapAction="http://CharterDotComAdminServices/AddVersion" style="document" />
      <wsdl:input>
        <soap12:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap12:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="GetOrganization">
      <soap12:operation soapAction="http://CharterDotComAdminServices/GetOrganization" style="document" />
      <wsdl:input>
        <soap12:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap12:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="GetOwnerTypes">
      <soap12:operation soapAction="http://CharterDotComAdminServices/GetOwnerTypes" style="document" />
      <wsdl:input>
        <soap12:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap12:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="GetOwners">
      <soap12:operation soapAction="http://CharterDotComAdminServices/GetOwners" style="document" />
      <wsdl:input>
        <soap12:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap12:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="GetSchedules">
      <soap12:operation soapAction="http://CharterDotComAdminServices/GetSchedules" style="document" />
      <wsdl:input>
        <soap12:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap12:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="UpdateSchedule">
      <soap12:operation soapAction="http://CharterDotComAdminServices/UpdateSchedule" style="document" />
      <wsdl:input>
        <soap12:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap12:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="AddSchedule">
      <soap12:operation soapAction="http://CharterDotComAdminServices/AddSchedule" style="document" />
      <wsdl:input>
        <soap12:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap12:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="DeleteSchedule">
      <soap12:operation soapAction="http://CharterDotComAdminServices/DeleteSchedule" style="document" />
      <wsdl:input>
        <soap12:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap12:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
	  <wsdl:operation name="GetImagesByKeyword">
		  <soap12:operation soapAction="http://CharterDotComAdminServices/GetImagesByKeyword" style="document" />
		  <wsdl:input>
			  <soap12:body use="literal" />
		  </wsdl:input>
		  <wsdl:output>
			  <soap12:body use="literal" />
		  </wsdl:output>
	  </wsdl:operation>	  
    <wsdl:operation name="GetBinaryFiles">
      <soap12:operation soapAction="http://CharterDotComAdminServices/GetBinaryFiles" style="document" />
      <wsdl:input>
        <soap12:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap12:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="AddBinaryFile">
      <soap12:operation soapAction="http://CharterDotComAdminServices/AddBinaryFile" style="document" />
      <wsdl:input>
        <soap12:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap12:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="GetBinaryFile">
      <soap12:operation soapAction="http://CharterDotComAdminServices/GetBinaryFile" style="document" />
      <wsdl:input>
        <soap12:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap12:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="UpdateBinaryFile">
      <soap12:operation soapAction="http://CharterDotComAdminServices/UpdateBinaryFile" style="document" />
      <wsdl:input>
        <soap12:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap12:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="DeleteBinaryFile">
      <soap12:operation soapAction="http://CharterDotComAdminServices/DeleteBinaryFile" style="document" />
      <wsdl:input>
        <soap12:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap12:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="GetImages">
      <soap12:operation soapAction="http://CharterDotComAdminServices/GetImages" style="document" />
      <wsdl:input>
        <soap12:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap12:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="AddImage">
      <soap12:operation soapAction="http://CharterDotComAdminServices/AddImage" style="document" />
      <wsdl:input>
        <soap12:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap12:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="GetImage">
      <soap12:operation soapAction="http://CharterDotComAdminServices/GetImage" style="document" />
      <wsdl:input>
        <soap12:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap12:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="UpdateImage">
      <soap12:operation soapAction="http://CharterDotComAdminServices/UpdateImage" style="document" />
      <wsdl:input>
        <soap12:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap12:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="DeleteImage">
      <soap12:operation soapAction="http://CharterDotComAdminServices/DeleteImage" style="document" />
      <wsdl:input>
        <soap12:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap12:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="GetContent">
      <soap12:operation soapAction="http://CharterDotComAdminServices/GetContent" style="document" />
      <wsdl:input>
        <soap12:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap12:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="EditContent">
      <soap12:operation soapAction="http://CharterDotComAdminServices/EditContent" style="document" />
      <wsdl:input>
        <soap12:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap12:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="GetUserControlList">
      <soap12:operation soapAction="http://CharterDotComAdminServices/GetUserControlList" style="document" />
      <wsdl:input>
        <soap12:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap12:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="GetTemplate">
      <soap12:operation soapAction="http://CharterDotComAdminServices/GetTemplate" style="document" />
      <wsdl:input>
        <soap12:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap12:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="DeleteEdits">
      <soap12:operation soapAction="http://CharterDotComAdminServices/DeleteEdits" style="document" />
      <wsdl:input>
        <soap12:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap12:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="GetPendingVersions">
      <soap12:operation soapAction="http://CharterDotComAdminServices/GetPendingVersions" style="document" />
      <wsdl:input>
        <soap12:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap12:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="GetApprovedVersions">
      <soap12:operation soapAction="http://CharterDotComAdminServices/GetApprovedVersions" style="document" />
      <wsdl:input>
        <soap12:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap12:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="ValidateUser">
      <soap12:operation soapAction="http://CharterDotComAdminServices/ValidateUser" style="document" />
      <wsdl:input>
        <soap12:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap12:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="PublishContent">
      <soap12:operation soapAction="http://CharterDotComAdminServices/PublishContent" style="document" />
      <wsdl:input>
        <soap12:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap12:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="GetEditContent">
      <soap12:operation soapAction="http://CharterDotComAdminServices/GetEditContent" style="document" />
      <wsdl:input>
        <soap12:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap12:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="ApproveContent">
      <soap12:operation soapAction="http://CharterDotComAdminServices/ApproveContent" style="document" />
      <wsdl:input>
        <soap12:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap12:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="GetApprovedContent">
      <soap12:operation soapAction="http://CharterDotComAdminServices/GetApprovedContent" style="document" />
      <wsdl:input>
        <soap12:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap12:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="VerifyNewUser">
      <soap12:operation soapAction="http://CharterDotComAdminServices/VerifyNewUser" style="document" />
      <wsdl:input>
        <soap12:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap12:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="DisableUser">
      <soap12:operation soapAction="http://CharterDotComAdminServices/DisableUser" style="document" />
      <wsdl:input>
        <soap12:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap12:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="EnableUser">
      <soap12:operation soapAction="http://CharterDotComAdminServices/EnableUser" style="document" />
      <wsdl:input>
        <soap12:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap12:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="Authenticate">
      <soap12:operation soapAction="http://CharterDotComAdminServices/Authenticate" style="document" />
      <wsdl:input>
        <soap12:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap12:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="createNewUser">
      <soap12:operation soapAction="http://CharterDotComAdminServices/createNewUser" style="document" />
      <wsdl:input>
        <soap12:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap12:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="saveSelectedTemplate">
      <soap12:operation soapAction="http://CharterDotComAdminServices/saveSelectedTemplate" style="document" />
      <wsdl:input>
        <soap12:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap12:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="GetUsers">
      <soap12:operation soapAction="http://CharterDotComAdminServices/GetUsers" style="document" />
      <wsdl:input>
        <soap12:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap12:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="GetTemplates">
      <soap12:operation soapAction="http://CharterDotComAdminServices/GetTemplates" style="document" />
      <wsdl:input>
        <soap12:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap12:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="GetTemplatesForUser">
      <soap12:operation soapAction="http://CharterDotComAdminServices/GetTemplatesForUser" style="document" />
      <wsdl:input>
        <soap12:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap12:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="GetUserID">
      <soap12:operation soapAction="http://CharterDotComAdminServices/GetUserID" style="document" />
      <wsdl:input>
        <soap12:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap12:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="GetContentAuthoringRoles">
      <soap12:operation soapAction="http://CharterDotComAdminServices/GetContentAuthoringRoles" style="document" />
      <wsdl:input>
        <soap12:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap12:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="GetRoles">
      <soap12:operation soapAction="http://CharterDotComAdminServices/GetRoles" style="document" />
      <wsdl:input>
        <soap12:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap12:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="GetUserName">
      <soap12:operation soapAction="http://CharterDotComAdminServices/GetUserName" style="document" />
      <wsdl:input>
        <soap12:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap12:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="UpdatePassword">
      <soap12:operation soapAction="http://CharterDotComAdminServices/UpdatePassword" style="document" />
      <wsdl:input>
        <soap12:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap12:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
  </wsdl:binding>
  <wsdl:service name="CMSService">
    <wsdl:port name="CMSServiceSoap" binding="tns:CMSServiceSoap">
      <soap:address location="http://localhost/BL.REMOTINGHOST/CharterDotCom_CMSWebServices/CMSWebService.asmx" />
    </wsdl:port>
    <wsdl:port name="CMSServiceSoap12" binding="tns:CMSServiceSoap12">
      <soap12:address location="http://localhost/BL.REMOTINGHOST/CharterDotCom_CMSWebServices/CMSWebService.asmx" />
    </wsdl:port>
  </wsdl:service>
</wsdl:definitions>